Index: imaps-frontend/src/pages/Login/Login.jsx
===================================================================
--- imaps-frontend/src/pages/Login/Login.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/pages/Login/Login.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -1,131 +1,88 @@
-import React, {useContext, useState} from "react";
-import {Link, useLocation, useNavigate} from "react-router-dom";
+import React, { useState } from "react";
+import { Link, useNavigate } from "react-router-dom";
 import styles from "./Login.module.css";
 import illustration from "../../assets/illustration_img.png";
-import Logo from "../../components/Logo/Logo.jsx";
-import HttpService from "../../scripts/net/HttpService.js";
-import {useAppContext} from "../../components/AppContext/AppContext.jsx";
-import config, {API_BASE_URL} from "../../scripts/net/netconfig.js";
-import google_icon from "../../assets/Logo-google-icon-PNG.png"
-import github_icon from "../../assets/github-mark-white.png";
-import { v4 as uuidv4 } from 'uuid';
 
-const LoginPage = () => {
-    const [formUsername, setFormUsername] = useState("");
-    const [password, setPassword] = useState("");
-    const [error, setError] = useState(null);
-    const navigate = useNavigate();
-    const location = useLocation();
+const LoginPage = ({onLogin}) => {
+  const [username, setUsername] = useState("");
+  const [password, setPassword] = useState("");
+  const [error, setError] = useState(null);
+  const navigate = useNavigate();
 
-    const {setUsername, setIsAuthenticated} = useAppContext();
+  const payload = {
+    username: username,
+    password: password
+  };
 
-    const {targetPath} = location.state || {targetPath: {pathname: "/"}};
+  const handleLogin = (e) => {
+    e.preventDefault();
 
-    const payload = {
-        username: formUsername,
-        password: password,
-    };
+    fetch("http://localhost:8080/api/auth/login", {
+      method: "POST",
+      headers: {
+        "Content-Type": "application/json",
+      },
+      body: JSON.stringify(payload),
+    })
+      .then((response) => {
+        if (!response.ok) {
+          throw new Error("Login failed: resp = " + response.statusText); 
+        }
+        return response.json();
+      })
+      .then((data) => {
+        if (data.token) {
+          navigate("/Maps/FinkiMaps/Draw");
+          onLogin(data.token)
+        } else {
+          setError("Invalid username or password.");
+        }
+      })
+      .catch((error) => {
+        console.error("Login failed", error);
+        setError("Login failed. Please try again.");
+      });
+    
+  };
 
-    const handleLogin = async () => {
-        const httpService = new HttpService();
-        return httpService.post(config.auth.login, payload);
-    };
-
-    const login = async (e) => {
-        e.preventDefault();
-
-        handleLogin()
-            .then(resp => {
-                if (resp.token) {
-                    navigate(targetPath);
-                    localStorage.setItem("token", resp.token);
-                    setUsername(resp.username);
-                    setIsAuthenticated(true);
-                    console.log("ROLES", resp.roles);
-                } else {
-                    setError("Invalid username or password.");
-                }
-            }).catch(reason => {
-            console.error("Login failed", reason);
-            setError("Login failed. Please try again.");
-        });
-    };
-
-    const continueWithGitHub = async () => {
-        const httpService = new HttpService();
-        httpService.setResponseType('text');
-        const state = await httpService.get(config.auth.oauth.github.state)
-        const clientId = 'Iv23liqzhX5wMYNDHtnz';
-        const redirectUri = encodeURI(`${API_BASE_URL}/oauth/callback/github`);
-
-        const githubAuthUrl = `https://github.com/login/oauth/authorize?client_id=${encodeURI(clientId)}&redirect_uri=${redirectUri}&state=${encodeURI(state)}&scope=user:email`;
-
-        window.location.href = githubAuthUrl;
-
-    };
-
-    const continueWithGoogle = async () => {
-        console.log("Continue with Google");
-        const httpService = new HttpService();
-        httpService.setResponseType('text');
-        const state = await httpService.get(config.auth.oauth.github.state)
-        const clientId = '1024418489231-ml40ukvqcg9ad1h5ejor5dm6ipt6p8fo.apps.googleusercontent.com';
-        const redirectUri = encodeURI(`${API_BASE_URL}/oauth/callback/google`);
-        const googleAuthUrl = `https://accounts.google.com/o/oauth2/v2/auth?client_id=${encodeURIComponent(clientId)}
-        &redirect_uri=${encodeURIComponent(redirectUri)}&state=${encodeURIComponent(state)}&response_type=code&scope=${encodeURIComponent("openid profile email")}`;
-        window.location.href = googleAuthUrl
-    };
-
-    return (
-        <div className={styles.wrapper}>
-            <Logo></Logo>
-            <div className={styles.illustration}>
-                <img src={illustration} alt="illustration"/>
-            </div>
-            <div className={styles.form}>
-                <div className={styles.heading}>LOGIN</div>
-                <form onSubmit={login}>
-                    <div>
-                        <label htmlFor="username">Username</label>
-                        <input
-                            type="text"
-                            id="name"
-                            placeholder="Enter your username"
-                            onChange={(e) => setFormUsername(e.target.value)}
-                            value={formUsername}
-                            required
-                        />
-                    </div>
-                    <div>
-                        <label htmlFor="password">Password</label>
-                        <input
-                            type="password"
-                            id="password"
-                            placeholder="Enter your password"
-                            onChange={(e) => setPassword(e.target.value)}
-                            value={password}
-                            required
-                        />
-                    </div>
-                    {error && <p className={styles.error}>{error}</p>}
-                    <button type="submit">Submit</button>
-                </form>
-                <div className={styles.or}>OR</div>
-                <div className={styles.socialButtons}>
-                    <button className={styles.socialButton} onClick={continueWithGoogle}>
-                        <img src={google_icon} alt="Facebook Icon" className={styles.socialIcon}/>
-                        Sign In With Google
-                    </button>
-                    <button className={styles.socialButton} onClick={continueWithGitHub}>
-                        <img src={github_icon} alt="GitHub Icon" className={styles.socialIcon}/>
-                        Sign In With GitHub
-                    </button>
-                </div>
-                <p>
-                    Don't have an account? <Link to="/Signup"> Sign Up </Link>
-                </p>
-            </div>
-        </div>
-    );
+  return (
+    <div className={styles.wrapper}>
+      <div className={styles.illustration}>
+        <img src={illustration} alt="illustration" />
+      </div>
+      <div className={styles.form}>
+        <div className={styles.heading}>LOGIN</div>
+        <form onSubmit={handleLogin}>
+          <div>
+            <label htmlFor="username">Username</label>
+            <input
+              type="text"
+              id="name"
+              placeholder="Enter your username"
+              onChange={(e) => setUsername(e.target.value)}
+              value={username}
+              required
+            />
+          </div>
+          <div>
+            <label htmlFor="password">Password</label>
+            <input
+              type="password"
+              id="password"
+              placeholder="Enter your password"
+              onChange={(e) => setPassword(e.target.value)}
+              value={password}
+              required
+            />
+          </div>
+          {error && <p className={styles.error}>{error}</p>}
+          <button type="submit">Submit</button>
+        </form>
+        <p>
+          Don't have an account? <Link to="/Signup"> Sign Up </Link>
+        </p>
+      </div>
+    </div>
+  );
 };
 
Index: imaps-frontend/src/pages/Maps/Maps.jsx
===================================================================
--- imaps-frontend/src/pages/Maps/Maps.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
+++ imaps-frontend/src/pages/Maps/Maps.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -0,0 +1,74 @@
+import React, { useState } from "react";
+import styles from "./Maps.module.css";
+import "react-tiles-dnd/esm/index.css";
+import { TilesContainer } from "react-tiles-dnd";
+import { Link } from "react-router-dom";
+import card from "../../assets/card-map.png";
+
+const initialTiles = [
+  { text: "FINKI", cols: 1, rows: 1 },
+  { text: "TMF", cols: 1, rows: 1 },
+  { text: "HOSPITAL", cols: 1, rows: 1 },
+  { text: "POLICE", cols: 1, rows: 1 },
+  { text: "LIBRARY", cols: 1, rows: 1 },
+  { text: "PENTAGON", cols: 1, rows: 1 },
+  { text: "WHITE HOUSE", cols: 1, rows: 1 },
+  { text: "HOME", cols: 1, rows: 1 },
+  { text: "PRESPATEKS", cols: 1, rows: 1 },
+];
+
+const renderTile = ({ data, isDragging }) => (
+  <div style={{ padding: "1rem", width: "100%" }}>
+    <Link to="/Maps/FinkiMaps/View" className={styles.linkStyle}>
+      <div
+        className={`${styles.tile} ${isDragging ? styles.dragging : ""}`}
+        style={{ width: "100%", height: "100%" }}
+      >
+        <img src={card} className={styles.imgStyle} alt="Map Thumbnail" />
+        <div>
+          {data.text} {isDragging ? "DRAGGING" : null}
+        </div>
+      </div>
+    </Link>
+  </div>
+);
+
+const tileSize = (tile) => ({
+  colSpan: tile.cols,
+  rowSpan: tile.rows,
+});
+
+export default function Maps() {
+  const [searchTerm, setSearchTerm] = useState("");
+  const [tiles, setTiles] = useState(initialTiles);
+
+  const handleSearchChange = (e) => {
+    const value = e.target.value.toLowerCase();
+    setSearchTerm(value);
+
+    setTiles(initialTiles.filter((tile) => tile.text.toLowerCase().includes(value)));
+  };
+
+  return (
+    <div className={styles.container}>
+      <h1>Explore Maps</h1>
+
+      <div className={styles.searchBar}>
+        <input
+          type="text"
+          placeholder="Search for maps..."
+          value={searchTerm}
+          onChange={handleSearchChange}
+        />
+      </div>
+
+      <TilesContainer
+        data={tiles}
+        renderTile={renderTile}
+        tileSize={tileSize}
+        forceTileWidth={150}
+        forceTileHeight={170}
+      />
+    </div>
+  );
+}
Index: imaps-frontend/src/pages/Signup/Signup.jsx
===================================================================
--- imaps-frontend/src/pages/Signup/Signup.jsx	(revision 79a03170cdde4e801d12257ee86723774970427b)
+++ imaps-frontend/src/pages/Signup/Signup.jsx	(revision d56544918790c0c3bc50f2f0a98c99f3d2988ccf)
@@ -3,6 +3,4 @@
 import illustration from "../../assets/illustration_img.png";
 import styles from "./Signup.module.css";
-import Logo from "../../components/Logo/Logo";
-import netconfig from "../../scripts/net/netconfig.js";
 
 export default function Signup() {
@@ -10,17 +8,10 @@
   const [email, setEmail] = useState("");
   const [password, setPassword] = useState("");
-  const [confirmPassword, setConfirmPassword] = useState("");
   const [message, setMessage] = useState("");
-  const [messageType, setMessageType] = useState("");
+  const [messageType, setMessageType] = useState(""); // New state to manage message type
   const navigate = useNavigate();
 
   const handleSubmit = async (e) => {
     e.preventDefault();
-
-    if (password !== confirmPassword) {
-      setMessageType("error");
-      setMessage("Passwords do not match.");
-      return;
-    }
 
     const payload = {
@@ -31,5 +22,5 @@
 
     try {
-      const response = await fetch(netconfig.auth.register, {
+      const response = await fetch("http://localhost:8080/api/auth/register", {
         method: "POST",
         headers: {
@@ -43,7 +34,8 @@
         setMessage("User registered successfully!");
 
+        // Wait 3 seconds and then redirect to login page
         setTimeout(() => {
           navigate("/login");
-        }, 1000);
+        }, 3000);
       } else if (response.status === 409) {
         setMessageType("error");
@@ -61,68 +53,61 @@
 
   return (
-      <div className={styles.wrapper}>
-        <Logo></Logo>
-        <div className={styles.illustration}>
-          <img src={illustration} alt="illustration" />
-        </div>
-        <div className={styles.form}>
-          <div className={styles.heading}>CREATE AN ACCOUNT</div>
-          <form onSubmit={handleSubmit}>
-            <div>
-              <label htmlFor="name">Username</label>
-              <input
-                  type="text"
-                  id="name"
-                  value={name}
-                  onChange={(e) => setName(e.target.value)}
-                  placeholder="Enter your username"
-                  required
-              />
-            </div>
-            <div>
-              <label htmlFor="email">E-Mail</label>
-              <input
-                  type="email"
-                  id="email"
-                  value={email}
-                  onChange={(e) => setEmail(e.target.value)}
-                  placeholder="Enter your email"
-                  required
-              />
-            </div>
-            <div>
-              <label htmlFor="password">Password</label>
-              <input
-                  type="password"
-                  id="password"
-                  value={password}
-                  onChange={(e) => setPassword(e.target.value)}
-                  placeholder="Enter your password"
-                  required
-              />
-            </div>
-            <div>
-              <label htmlFor="confirmPassword">Confirm Password</label>
-              <input
-                  type="password"
-                  id="confirmPassword"
-                  value={confirmPassword}
-                  onChange={(e) => setConfirmPassword(e.target.value)}
-                  placeholder="Confirm your password"
-                  required
-              />
-            </div>
-            <button type="submit">Submit</button>
-            {message && (
-                <p className={messageType === "success" ? styles.successMessage : styles.errorMessage}>
-                  {message}
-                </p>
-            )}
-          </form>
-          <p>
-            Have an account? <Link to="/Login"> Login </Link>
-          </p>
-        </div>
+    <div className={styles.wrapper}>
+      <div className={styles.illustration}>
+        <img src={illustration} alt="illustration" />
       </div>
+      <div className={styles.form}>
+        <div className={styles.heading}>CREATE AN ACCOUNT</div>
+        <form onSubmit={handleSubmit}>
+          <div>
+            <label htmlFor="name">Username</label>
+            <input
+              type="text"
+              id="name"
+              value={name}
+              onChange={(e) => setName(e.target.value)}
+              placeholder="Enter your username"
+              required
+            />
+          </div>
+          <div>
+            <label htmlFor="email">E-Mail</label>
+            <input
+              type="email"
+              id="email"
+              value={email}
+              onChange={(e) => setEmail(e.target.value)}
+              placeholder="Enter your email"
+              required
+            />
+          </div>
+          <div>
+            <label htmlFor="password">Password</label>
+            <input
+              type="password"
+              id="password"
+              value={password}
+              onChange={(e) => setPassword(e.target.value)}
+              placeholder="Enter your password"
+              required
+            />
+          </div>
+          <button type="submit">Submit</button>
+
+          {/* Display message with appropriate styling */}
+          {message && (
+            <p className={messageType === "success" ? styles.successMessage : styles.errorMessage}>
+              {message}
+            </p>
+          )}
+          <h2 align="center" className={styles.or}>
+            OR
+          </h2>
+        </form>
+        <p>
+          Have an account? <Link to="/Login"> Login </Link>
+        </p>
+      </div>
+    </div>
   );
 }
